package gui.run;


public abstract class RunPasswordField
        extends
        javax.swing.JPasswordField
        implements java.awt.event.ActionListener,
                   Runnable {
    String sTxt;

    public RunPasswordField(String text) {
        super(text);
        addActionListener(this);
    }

    public RunPasswordField() {
        addActionListener(this);
    }

    public RunPasswordField(int columns) {
        super(columns);
        addActionListener(this);
    }

    public RunPasswordField(String text,
                            int columns) {
        super(text, columns);
        addActionListener(this);
    }

    public RunPasswordField(
            javax.swing.text.Document doc,
            String text,
            int columns) {
        super(doc, text, columns);
        addActionListener(this);
    }

    public void actionPerformed(
            java.awt.event.ActionEvent e) {
        run();
    }

    public static void main(String args[]) {
        gui.ClosableJFrame cf = new gui.ClosableJFrame(
                "RunPasswordField");
        java.awt.Container c = cf.getContentPane();
        c.add(new RunPasswordField(
                "What is your password?") {
            public void run() {
                System.out.println(getPassword());

            }
        });
        c.setLayout(
                new java.awt.GridLayout(4, 0));
        cf.setSize(200, 200);
        cf.setVisible(true);
    }

}